This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 485893 - (perl-NOCpulse-Object) Review Request: perl-NOCpulse-Object - NOCpulse Object abstraction for Perl
Review Request: perl-NOCpulse-Object - NOCpulse Object abstraction for Perl
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F-Spacewalk
  Show dependency treegraph
 
Reported: 2009-02-17 04:48 EST by Miroslav Suchý
Modified: 2009-02-19 03:31 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-19 03:31:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
wolfy: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Miroslav Suchý 2009-02-17 04:48:29 EST
Description of problem:
SPEC: http://miroslav.suchy.cz/fedora/perl-NOCpulse-Object/perl-NOCpulse-Object.spec
SRPM: http://miroslav.suchy.cz/fedora/perl-NOCpulse-Object/perl-NOCpulse-Object-1.26.9-1.src.rpm

Description:
NOCpulse provides application, network, systems and transaction monitoring,
coupled with a comprehensive reporting system including availability,
historical and trending reports in an easy-to-use browser interface.
This package contain an abstract PERL class that tries and fails to cover up
the ugliness that is OO in Perl, amongst other things.

Koji scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=1132668
Comment 1 manuel wolfshant 2009-02-17 19:34:10 EST
All is well, standard perl module.
sha1sum matches: 8c6a8ee812515da3b740a3c7d1dca2a65e796b6f  /tmp/perl-NOCpulse-Object-1.26.9.tar.gz
License checks (GPLv2)

Nice to have: ping upstream to include the license in the module themselves. And maybe change it to GPLv2+...

APPROVED
Comment 2 manuel wolfshant 2009-02-17 19:36:48 EST
Uhm, sorry. I take it back for a sec. Is it realy normal to overlap the provides and the requires?

[wolfy@wolfy tmp]$ rpm -qp --provides /home/wolfy/reports/perl-NOCpulse-Object/perl-NOCpulse-Object-1.26.9-1.fc11.noarch.rpm
perl(NOCpulse::AbstractObjectRepository)
perl(NOCpulse::BlockingDBMNamespace)
perl(NOCpulse::BlockingFileNamespace)
perl(NOCpulse::DBMObjectRepository)
perl(NOCpulse::INIObjectRepository)
perl(NOCpulse::MultiFileObjectRepository)
perl(NOCpulse::NSObject)
perl(NOCpulse::Namespace)
perl(NOCpulse::Object) = 1.26
perl(NOCpulse::ObjectProxy)
perl(NOCpulse::ObjectProxyServer)
perl(NOCpulse::PersistentObject)
perl(NOCpulse::SharedBlockingNamespace)
perl-NOCpulse-Object = 1.26.9-1.fc11

[wolfy@wolfy tmp]$ rpm -qp --requires /home/wolfy/reports/perl-NOCpulse-Object/perl-NOCpulse-Object-1.26.9-1.fc11.noarch.rpm
perl(:MODULE_COMPAT_5.10.0)
perl(Carp)
perl(Config::IniFiles)
perl(Exporter)
perl(Fcntl)
perl(File::Basename)
perl(FreezeThaw)
perl(GDBM_File)
perl(IO::Dir)
perl(IO::File)
perl(NOCpulse::AbstractObjectRepository)
perl(NOCpulse::DBMObjectRepository)
perl(NOCpulse::Debug)
perl(NOCpulse::INIObjectRepository)
perl(NOCpulse::MultiFileObjectRepository)
perl(NOCpulse::Namespace)
perl(NOCpulse::Object)
perl(NOCpulse::SharedBlockingNamespace)
perl(strict)
perl(vars)
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rpmlib(VersionedDependencies) <= 3.0.3-1


Most of the requires are provided by the same package, and as far as I remember they should be filtered. Am I wrong here?
Comment 3 Miroslav Suchý 2009-02-18 07:09:52 EST
>Nice to have: ping upstream to include the license in the module themselves.
I pinged myself and put it there. :)
Updated:
http://miroslav.suchy.cz/fedora/perl-NOCpulse-Object/perl-NOCpulse-Object.spec
http://miroslav.suchy.cz/fedora/perl-NOCpulse-Object/perl-NOCpulse-Object-1.26.10-1.src.rpm

>And maybe change it to GPLv2+...
Not possible. Sorry.

>Is it realy normal to overlap the provides and the requires?

Yes it is normal.
Look on some other modules which has more then 2 modules and which require each other (e.g. perl-HTML-Parser). Nevertheless I did not put the requires and provides there. It is automatically generated by rpm. So if it is wrong (which I believe is not), then it is bug of rpmbuild.
Comment 5 Miroslav Suchý 2009-02-18 07:59:36 EST
Sorry I do not think it is bug.
$ rpm -qR rpm
...
config(rpm) = 4.4.2.3-9.el5
...

$ rpm -q --provides rpm
config(rpm) = 4.4.2.3-9.el5
rpm = 4.4.2.3-9.el5

$ rpm -qR yum
...
config(yum) = 3.2.19-18.el5
...
$ rpm -q --provides yum
config(yum) = 3.2.19-18.el5
...

And dozens and dozens other packages.
Overlapping is not a bug. 
If you do not agree, ask others on fedora-devel.
Comment 6 manuel wolfshant 2009-02-18 10:03:59 EST
On the fedora-devel ML Ralf did not cry out loud, so package is APPROVED.
Comment 7 Miroslav Suchý 2009-02-18 10:41:03 EST
New Package CVS Request
=======================
Package Name: perl-NOCpulse-Object
Short Description: NOCpulse Object abstraction for Perl
Owners: msuchy
Branches: F-10, EL-4, EL-5
InitialCC: perl-sig
Comment 8 Kevin Fenzi 2009-02-18 15:19:05 EST
cvs done.

Note You need to log in before you can comment on or make changes to this bug.